/* ==========================================================================
   Base styles: opinionated defaults
   ========================================================================== */
html,button,input,select,textarea {
  color:#222;
}
html {
  font-size:1em;
  line-height:1.4;
}
/*
 * Remove text-shadow in selection highlight: h5bp.com/i
 * These selection rule sets have to be separate.
 * Customize the background color to match your design.
 */
::-moz-selection {
  background: #b3d4fc;
  text-shadow: none;
}
::selection {
  background: #b3d4fc;
  text-shadow: none;
}
/*
 * A better looking default horizontal rule
 */
hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}
/*
 * Remove the gap between images, videos, audio and canvas and the bottom of
 * their containers: h5bp.com/i/440
 */
audio,canvas,img,video {
  vertical-align:middle;
}
/*
 * Remove default fieldset styles.
 */
fieldset {
  border:0;
  margin:0;
  padding:0;
}
/*
 * Allow only vertical resizing of textareas.
 */
textarea {
  resize:vertical;
}

/* ==========================================================================
   Main styles
   ========================================================================== */
@font-face {
  font-family: 'kroftsmannregular';
  src: url('~assets/games/soccer/css/fonts/kroftsmann-webfont.woff2') format('woff2'),
  url('~assets/games/soccer/css/fonts/kroftsmann-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;

}

html{-webkit-tap-highlight-color: rgba(0,0,0,0);-webkit-user-select: none;-webkit-touch-callout:none; background:#3F7534;}

/*-- Percent Loader -- */
#mainLoader{position:absolute;z-index:5; display:none; font-size:20px; line-height:25px; color:#fff; text-align:center; width:100%; font-family:'kroftsmannregular';}

/*-- Content Wrapper -- */
#mainHolder{position:absolute; width:100%;height:100%;}

/*-- Browser Not Support -- */
#notSupportHolder{ width:90%; margin:5% auto; position:relative; color:#fff; text-align:center; font-size:25px; font-family:'kroftsmannregular'; display:none;}
.notSupport{margin-top:200px;}

/*-- Mobile Rotate Instruction -- */
#rotateHolder{position:absolute;width:100%;height:100%;background-color:#3F7534;z-index:1000; display:none;}
.mobileRotate{width:200px;height:auto;position:absolute;text-align:center;}
.rotateImg{-webkit-animation:spin .5s linear infinite; -moz-animation:spin .5s linear infinite; animation:spin .5s linear infinite; margin-bottom:10px;}
.rotateDesc{color:#fff; font-size:20px; line-height:20px; font-family:'kroftsmannregular';}

@-moz-keyframes spin { 50% { -moz-transform: rotate(0deg); } 100% { -moz-transform: rotate(0deg); } }
@-webkit-keyframes spin { 50% { -webkit-transform: rotate(90deg); } 100% { -webkit-transform: rotate(0deg); } }
@keyframes spin { 50% { -webkit-transform: rotate(90deg); transform:rotate(90deg); } 100% { -webkit-transform: rotate(90deg); transform:rotate(90deg); } }

/*-- Canvas Wrapper -- */
#canvasHolder{ display:none; width:100%; max-width:1280px; height:100%; margin:auto; position:relative;}
canvas{ position:fixed;}

/*-- Form Wrapper -- */
#editWrapper{ display:none;}
#floatForm{ position:fixed; left:0; top:0; z-index:100; background:#46008C; padding:15px; color:#FFF; width:280px; border:#fff solid 2px;}
#floatForm{ font-size:12px;}
#floatForm #editStartEndWrapper, #floatForm #editLinesWrapper, #floatForm #editObstalesWrapper{ background:#330066; padding:10px;}
#floatForm #editSwitchWrapper, #floatForm #editEnemyDotsWrapper{ border:#FFF solid 1px; padding:5px;}
#floatForm input.button, #floatForm select.half, #floatForm label{ width:49%;}
#floatForm .formRow input, #floatForm .formRow select{ float:right; width:48%;}
#floatForm .formRow label{ float:left; width:48%;}
#floatForm .divider{ margin:10px 0; padding:10px 10px; border:#FFF solid 1px;}

#floatForm input{ width:100%;}
#floatForm textarea{ float:left; width:100%;}
#floatForm select, #floatForm option{ width:100%;}

@-webkit-viewport{width:device-width}
@-moz-viewport{width:device-width}
@-ms-viewport{width:device-width}
@-o-viewport{width:device-width}
@viewport{width:device-width}

@-webkit-viewport{width:device-width}
@-moz-viewport{width:device-width}
@-ms-viewport{width:device-width}
@-o-viewport{width:device-width}
@viewport{width:device-width}



/* ==========================================================================
   Helper classes
   ========================================================================== */
/*
 * Image replacement
 */
.ir {
  background-color: transparent;
  border: 0;
  overflow: hidden;
  /* IE 6/7 fallback */
  *text-indent: -9999px;
}

.ir:before {
  content: "";
  display: block;
  width: 0;
  height: 150%;
}

/*
 * Hide from both screenreaders and browsers: h5bp.com/u
 */
.hidden {
  display: none !important;
  visibility: hidden;
}

/*
 * Hide only visually, but have it available for screenreaders: h5bp.com/v
 */
.visuallyhidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

/*
 * Extends the .visuallyhidden class to allow the element to be focusable
 * when navigated to via the keyboard: h5bp.com/p
 */
.visuallyhidden.focusable:active,.visuallyhidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  width: auto;
}

/*
 * Hide visually and from screenreaders, but maintain layout
 */
.invisible {
  visibility: hidden;
}

/*
 * Clearfix: contain floats
 *
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    `contenteditable` attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that receive the `clearfix` class.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */
.clearfix:before,.clearfix:after{
  content: " "; /* 1 */
  display: table; /* 2 */
}

.clearfix:after{
  clear: both;
}

/*
 * For IE 6/7 only
 * Include this rule to trigger hasLayout and contain floats.
 */
.clearfix{
  *zoom: 1;
}

/* ==========================================================================
   EXAMPLE Media Queries for Responsive Design.
   These examples override the primary ('mobile first') styles.
   Modify as content requires.
   ========================================================================== */

@media only screen and (min-width: 35em) {
  /* Style adjustments for viewports that meet the condition */
}

@media print,
(-o-min-device-pixel-ratio: 5/4),
(-webkit-min-device-pixel-ratio: 1.25),
(min-resolution: 120dpi) {
  /* Style adjustments for high resolution devices */
}

/* ==========================================================================
   Print styles.
   Inlined to avoid required HTTP connection: h5bp.com/r
   ========================================================================== */
@media print{
  * {
    background:transparent!important;
    color:#000!important;
    box-shadow:none!important;
    text-shadow:none!important;
  }

  a,a:visited {
    text-decoration:underline;
  }

  a[href]:after {
    content:" (" attr(href) ")";
  }

  abbr[title]:after {
    content:" (" attr(title) ")";
  }

  .ir a:after,a[href^="javascript:"]:after,a[href^="#"]:after {
    content:"";
  }

  pre,blockquote {
    border:1px solid #999;
    page-break-inside:avoid;
  }

  thead {
    display:table-header-group;
  }

  tr,img {
    page-break-inside:avoid;
  }

  img {
    max-width:100%!important;
  }

  @page {
    margin:.5cm;
  }

  p,h2,h3 {
    orphans:3;
    widows:3;
  }

  h2,h3 {
    page-break-after:avoid;
  }
}
article,aside,details,figcaption,figure,footer,header,hgroup,main,nav,section,summary {
  display:block;
}

audio,canvas,video {
  display:inline;
  zoom:1;
}

audio:not([controls]) {
  display:none;
  height:0;
}

[hidden] {
  display:none;
}

html {
  font-size:100%;
  -ms-text-size-adjust:100%;
  -webkit-text-size-adjust:100%;
}

html,button,input,select,textarea {
  font-family:sans-serif;
}

a:focus {
  outline:thin dotted;
}

a:active,a:hover {
  outline:0;
}

h1 {
  font-size:2em;
  margin:.67em 0;
}

h2 {
  font-size:1.5em;
  margin:.83em 0;
}

h3 {
  font-size:1.17em;
  margin:1em 0;
}

h4 {
  font-size:1em;
  margin:1.33em 0;
}

h5 {
  font-size:.83em;
  margin:1.67em 0;
}

h6 {
  font-size:.67em;
  margin:2.33em 0;
}

abbr[title] {
  border-bottom:1px dotted;
}

b,strong {
  font-weight:700;
}

blockquote {
  margin:1em 40px;
}

dfn {
  font-style:italic;
}

hr {
  -moz-box-sizing:content-box;
  box-sizing:content-box;
  height:0;
}

mark {
  background:#ff0;
  color:#000;
}

code,kbd,pre,samp {
  font-family:monospace, serif;
  _font-family:'courier new', monospace;
  font-size:1em;
}

pre {
  white-space:pre-wrap;
  word-wrap:break-word;
}

q {
  quotes:none;
}

q:before,q:after {
  content:none;
}

small {
  font-size:80%;
}

sub,sup {
  font-size:75%;
  line-height:0;
  position:relative;
  vertical-align:baseline;
}

sup {
  top:-.5em;
}

sub {
  bottom:-.25em;
}

dd {
  margin:0 0 0 40px;
}

menu,ol,ul {
  padding:0 0 0 40px;
}

nav ul,nav ol {
  list-style:none;
  list-style-image:none;
}

img {
  border:0;
  -ms-interpolation-mode:bicubic;
}

svg:not(:root) {
  overflow:hidden;
}

fieldset {
  border:1px solid silver;
  margin:0 2px;
  padding:.35em .625em .75em;
}

legend {
  border:0;
  white-space:normal;
  margin-left:-7px;
  padding:0;
}

button,input,select,textarea {
  font-size:100%;
  vertical-align:middle;
  margin:0;
}

button,input {
  line-height:normal;
}

button,select {
  text-transform:none;
}

button,html input[type="button"],/* 1 */
input[type="reset"],input[type="submit"] {
  -webkit-appearance:button;
  cursor:pointer;
  overflow:visible;
}

button[disabled],html input[disabled] {
  cursor:default;
}

input[type="checkbox"],input[type="radio"] {
  box-sizing:border-box;
  height:13px;
  width:13px;
  padding:0;
}

input[type="search"] {
  -webkit-appearance:textfield;
  -moz-box-sizing:content-box;
  -webkit-box-sizing:content-box;
  box-sizing:content-box;
}

input[type="search"]::-webkit-search-cancel-button,input[type="search"]::-webkit-search-decoration {
  -webkit-appearance:none;
}

button::-moz-focus-inner,input::-moz-focus-inner {
  border:0;
  padding:0;
}

textarea {
  overflow:auto;
  vertical-align:top;
}

table {
  border-collapse:collapse;
  border-spacing:0;
}

body,figure,form {
  margin:0;
}

p,pre,dl,menu,ol,ul {
  margin:1em 0;
}
